alt.java.net

## Interface SocketFactory

All Known Implementing Classes:
  MockSocketFactory, SocketFactoryImpl

    public interface SocketFactory

### Method Summary

Methods
`Socket` `createSocket(java.lang.String aHost, int aPort)`

### Method Detail

#### createSocket

    Socket createSocket(java.lang.String aHost,
                      int aPort)
                        throws java.net.UnknownHostException,
                               java.io.IOException

Throws:
  `java.net.UnknownHostException`
  `java.io.IOException`